function OnItem(item)
    if s.s03_0105_table_solved_puzzle == 1 and item == "i_leaf_glue" then
        s.s03_0105_table_solved = 1
        Delete("i_leaf_glue,i_granitetile_two")
        TakeBigPanel("i_granitetiles_three")
        PlaySound("snd_reg_s03_0105_glue")
		Widgets.notes_window.AddEntry(17)
    else
        Talk("com_s03_0105_01_hero")
    end
end



function OnClick()
    Talk("com_s03_0105_01_hero")
end